[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# NullMagnitudeRule

Variable describing what to do when checking for order of Null values

## Declaration

Source position: variants.pp line 277

`var NullMagnitudeRule: TNullCompareRule = ncrLoose;`

## Description

NullEqualityRule is checked when the system needs to determine the ordering of variants with Null values (operations like opCmpGe, opCmpLe). Check TNullCompareRule for a list of allowed values. The default is ncrLoose.

For determining equality (opCmpEq, opCmpNe) of Null values, see NullEqualityRule.

## See also

TNullCompareRule |  | Enumeration describing how to handle Null values when comparing variants.
NullEqualityRule |  | Variable describing what to do when checking for equality of Null values